package com.qpc.qpc_admob;

import android.content.Context;
import android.view.View;
import android.widget.TextView;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.view.FlutterView;

public class TestAdView implements PlatformView {

    private TextView mTestTextView ;

    private  QsjMobileBannerAdView adView;

    TestAdView(Context context, BinaryMessenger messenger, int id, Map<String, Object> params) {
        //创建 TextView
        TextView lTextView = new TextView(context);
        lTextView.setText("Android的原生TextView");
        this.mTestTextView = lTextView;
//        adView = new QsjMobileBannerAdView(context);
        //flutter 传递过来的参数
        if (params!=null&&params.containsKey("content")) {
            String myContent = (String) params.get("content");
            lTextView.setText(myContent);
        }
    }

    @Override
    public View getView() {
        return mTestTextView;
    }

    @Override
    public void dispose() {

    }
}
